import logging

from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_POST
import reportserver.lib.export.types.raw_data_export as export

logger = logging.getLogger(__name__)


@login_required
@require_POST
def raw_export(request):
    """
    Endpoint for export of raw data
    """
    result = export.get_rawexport(request)
    logger.info("'%s' requested a participations export.",
                request.user.username)
    return result


@login_required
def overview(request):
    """
    View for the export site
    """
    return export.get_overview(request, "rawexport.html", "rawexport")
