import logging

from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_POST
from reportserver.lib.export.types.raw_data_export import (
    get_overview,
    get_raw_te_export)

logger = logging.getLogger(__name__)


@login_required
@require_POST
def raw_te_export(request):
    """
    Endpoint for export of raw data
    """

    result = get_raw_te_export(request)
    logger.info("'%s' requested a virtual_participations export.",
                request.user.username)
    return result


@login_required
def overview(request):
    return get_overview(request, "rawteexport.html", "rawteexport")
